echo off
Rem ******************************************************************************************************
Rem Example Batch file for NetworkAlert Utility Notification
Rem NOTE: This batch file "notify.bat" needs to be in the same directory as 
Rem       the NetworkAlert utility "Alertnw.exe".
Rem ******************************************************************************************************
Rem NetworkAlert will call this batch file with three parameters
Rem %1 is the Hardware Address of the device (Print Server) that generated the Alert
Rem %2 is the Port Number on the device (Print Server) that generated the Alert
Rem %3 is the Trap Type/Value that generated the Alert (See Below for Trap Values)

Rem Trap Type           Trap Value
Rem -------------------+----------
Rem COLD_START          0
Rem AUTH_FAILURE        5
Rem ONLINE              7
Rem OFFLINE             8
Rem NO_PRINTER          9
Rem TONER_LOW           10
Rem PAPER_OUT           11
Rem PAPER_JAM           12
Rem DOOR_OPEN           13
Rem PRINTER_ERROR       14

Echo Notification Received:
Echo Device Address  = %1
Echo Port = %2  Trap = %3

Rem enter goto statments for each Print Server as needed
if %1 == 000000D4-0040680004BC goto PS_1
goto exit

:PS_1
Echo Notification from Print Server #1
if %2 == 1 goto PS_1_1
if %2 == 2 goto PS_1_2
if %2 == 3 goto PS_1_3
if %2 == 4 goto PS_1_4
goto exit
:PS_1_1
Rem Put commands here for Print Server #1 Port #1
Rem enter goto statments for each Trap Type/Value as needed
echo execute commands for Print Server #1 Port #1 Trap %3
goto exit
:PS_1_2
Rem Put commands here for Print Server #1 Port #2
Rem enter goto statments for each Trap Type/Value as needed
echo execute commands for Print Server #1 Port #2 Trap %3
goto exit
:PS_1_3
Rem Put commands here for Print Server #1 Port #3
Rem enter goto statments for each Trap Type/Value as needed
echo execute commands for Print Server #1 Port #3 Trap %3
goto exit
:PS_1_4
Rem Put commands here for Print Server #1 Port #4
Rem enter goto statments for each Trap Type/Value as needed
echo execute commands for Print Server #1 Port #4 Trap %3
goto exit

:exit
echo exit notify batch file
echo on
